import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API
// 查询工序检查指导项目列表
export function listInspectionInstruction(data) {
	return request({
		url: baseUrl + '/business/productInspectionInstruction/list',
		method: 'get',
		params: data,
	})
}
export function getAllInspection() {
	return request({
		url: baseUrl + '/business/productInspectionInstruction/getAllInspection',
		method: 'get'
	})
}

// 新增工序检查指导项目
export function saveInspectionInstruction(data) {
	return request({
		url: baseUrl + '/business/productInspectionInstruction/saveBatch',
		method: 'post',
		data: data,
	})
}

// 删除工序检查指导项目
export function delInspectionInstruction(id) {
	return request({
		url: baseUrl + '/business/productInspectionInstruction/' + id,
		method: 'delete',
	})
}
